@font-face {
    font-family: 'PaneoOpenSans';
    src: url('../fonts/OpenSans-VariableFont_wdth,wght.ttf') format('truetype');
}

.hidden_div {
    display: none;
}

:root {
    --primary-color: #d8d8d8;
    --second-color: #ffffff;
    --black-color: #000000;
}

body {
    margin: 0;
    font-family: 'PaneoOpenSans', sans-serif;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}

.register_body, .login_body {
    background-image: url("../img/login_back.webp");
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
    background-attachment: fixed;
}

footer {
    position: absolute;
    bottom: 10px;
    left: 45px;
    z-index: 50;
}
.footer_logo {
    float: right;
    max-height: 67px;
}
/********************************************************************************************/
/* - register page - */

.register_footer {
    pointer-events: none;
}


/********************************************************************************************/
/* - login page - */

.login_box * {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Poppins", sans-serif;
}

.error_box {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    text-align: center;
    gap: 20px;
}

.login_footer {
    display: inline-flex;
    justify-content: space-between;
    position: fixed;
    right: 45px;
}

.login_box .version_code {
    top: 10px;
    position: absolute;
    color: #f1f1f1;
    font-family: "Poppins", sans-serif;
    right: 15px;
}

#paneo_logo {
    width: 80%;
}


#login_language_switch {
    position: absolute;
    top: 12px;
    left: 12px;
    cursor: pointer;
}

#login_language_switch i {
    margin-right: 3px;
}


.help_body {
    padding: 80px 60px 0 60px;
}

.login_box a {
    text-decoration: none;
    color: white;
}

.login_box a:hover {
    text-decoration: underline;
}
.wrapper {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
    background-color: rgba(0, 0, 0, 0.2);
}
.login_box {
    position: relative;
    width: 450px;
    backdrop-filter: blur(25px);
    border: 2px solid var(--primary-color);
    border-radius: 15px;
    padding: 6.5em 2.5em 3em 2.5em;
    color: var(--second-color);
    box-shadow: 0 0 10px 2px rgba(0, 0, 0, 0.2);
    z-index: 51;
}
.register_box_wrapper {
    backdrop-filter: blur(20px);
}
.register_box {
    backdrop-filter: blur(50px);
    backdrop-filter: brightness(60%);
    margin-top: 70px;
    z-index: 51;
}
.login-header {
    position: absolute;
    top: 0;
    left: 50%;
    transform: translateX(-50%);
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: var(--primary-color);
    width: 180px;
    height: 70px;
    border-radius: 0 0 20px 20px;
}
.login-header span {
    font-size: 30px;
    color: var(--black-color);
}
.login-header::before {
    content: "";
    position: absolute;
    top: 0;
    left: -30px;
    width: 30px;
    height: 30px;
    border-top-right-radius: 50%;
    background: transparent;
    box-shadow: 15px 0 0 0 var(--primary-color);
}
.login-header::after {
    content: "";
    position: absolute;
    top: 0;
    right: -30px;
    width: 30px;
    height: 30px;
    border-top-left-radius: 50%;
    background: transparent;
    box-shadow: -15px 0 0 0 var(--primary-color);
}
.input_box {
    position: relative;
    display: flex;
    flex-direction: column;
    margin: 20px 0;
}

.login_select_box {
    position: relative;
    display: flex;
    flex-direction: column;
    margin: 20px 0;
}
.input-field {
    width: 100%;
    height: 55px;
    font-size: 16px;
    background: transparent;
    color: var(--second-color);
    padding-inline: 20px 50px;
    border: 2px solid var(--primary-color);
    border-radius: 30px;
    outline: none;
}
.login_select_box select {
    height: 55px;
    width: 40%;
    border-radius: 30px;
    background: transparent;
    color: white;
    padding-inline: 20px 50px;
    font-size: 16px;
    border-style: solid;
}
.login_select_box select:hover {
    background: #f1f1f199;
}

.login_select_box select option {
    color: #131313;
}

.input_box_sm .input-field {
    width: 60%;
}
#user {
    margin-bottom: 10px;
}
.label, .selectLabel {
    position: absolute;
    top: 15px;
    left: 20px;
    transition: 0.2s;
    pointer-events: none;
}

.input-field:focus ~ .label,
.input-field:valid ~ .label,
.login_select_box .selectLabel {
    position: absolute;
    top: -10px;
    left: 20px;
    font-size: 14px;
    background-color: var(--primary-color);
    border-radius: 30px;
    color: var(--black-color);
    padding: 0 10px;
}

.eula_box {
    flex-direction: unset;
    margin-bottom: 50px;
}

.eula_box .inputAnnotation {
    margin-top: 30px;
}

.eula_label {
    top: 0;
    margin-left: 10px;
}

.eula_label a {
    text-decoration: underline;
    pointer-events: auto;
}

.eula_label a:hover {
    color: #9cc5ce;
}

.icon {
    position: absolute;
    top: 18px;
    right: 25px;
    font-size: 20px;
}
.remember-forgot {
    display: flex;
    justify-content: space-between;
    font-size: 15px;
}
.input-submit {
    width: 100%;
    height: 50px;
    background: #ececec;
    font-size: 16px;
    font-weight: 500;
    border: none;
    border-radius: 30px;
    cursor: pointer;
    transition: 0.3s;
}
.input-submit:hover {
    background: var(--second-color);
}
.register {
    text-align: center;
}
.register a {
    font-weight: 500;
}

.prototype {
    margin-top: 20px;
}

.invalidInput {
    border-color: #ff3737;
}

.inputAnnotation {
    margin-top: 1px;
    margin-left: 15px;
}

.social-container {
    margin: 20px 0;
}

.social-container a {
    border: 1px solid #DDDDDD;
    border-radius: 50%;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    margin: 0 5px;
    height: 40px;
    width: 40px;
}

@media only screen and (max-width: 1185px) {
    .login_footer .version_code {
        bottom: 18px;
        position: absolute;
        color: #f1f1f1;
        font-family: "Poppins", sans-serif;
    }

    .register_footer, .login_footer {
        display: none;
    }
}
@media only screen and (max-width: 750px) {
    /* TODO: use clamp instead */
    .login_box {
        padding: 7.5em 1.5em 4em 1.5em;
        /*padding: 7.5em 2.5em 3em 2.5em;*/
        max-width: 380px;
    }
}
